Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class TestActionServlet.CustomForwardConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ForwardConfig
              org.apache.struts.action.TestActionServlet.CustomForwardConfig

All Implemented Interfaces:
  Serializable

Enclosing class:
  TestActionServlet

    public static class TestActionServlet.CustomForwardConfig

extends ForwardConfig

Used for testing custom ForwardConfig classes.

See Also:
  Serialized Form

Field Summary
`boolean` | `processExtendsCalled`

Fields inherited from class org.apache.struts.config.ForwardConfig
`catalog, command, extensionProcessed, inherit, module, name, path, redirect`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`TestActionServlet.CustomForwardConfig()`
`TestActionServlet.CustomForwardConfig(String name, String path)`

Method Summary
`void` | `processExtends(ModuleConfig moduleConfig, ActionConfig actionConfig)` Set a flag so we know this method was called.

Methods inherited from class org.apache.struts.config.ForwardConfig
`checkCircularInheritance, getCatalog, getCommand, getExtends, getModule, getName, getPath, getRedirect, inheritFrom, isExtensionProcessed, setCatalog, setCommand, setExtends, setModule, setName, setPath, setRedirect, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### processExtendsCalled

    public boolean processExtendsCalled

Constructor Detail

### TestActionServlet.CustomForwardConfig

    public TestActionServlet.CustomForwardConfig()

### TestActionServlet.CustomForwardConfig

    public TestActionServlet.CustomForwardConfig(String name,
                                                 String path)

Method Detail

### processExtends

    public void processExtends(ModuleConfig moduleConfig,
                               ActionConfig actionConfig)
                        throws ClassNotFoundException,
                               IllegalAccessException,
                               InstantiationException

  Set a flag so we know this method was called.

  Overrides:
    `processExtends` in class `ForwardConfig`
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.